<template>
    <!--<div class="container-fluid">-->
    <div>
        <div class="d-flex justify-content-center">
            <div class="wash_board_wrap">

                <!--Board Header-->
                <div class="wb_header">
                    <div class="col_1">
                        <i class="ri-car-line"></i>
                        <span>Автомобиль</span>
                    </div>
                    <div class="col_2">
                        <i class="ri-alarm-line"></i>
                        <span>Начало</span>
                    </div>
                    <div class="col_3">
                        <i class="ri-car-line"></i>
                        <span class="white-arrow">
                            <i class="ri-arrow-right-line"></i>
                        </span>
                    </div>
                    <div class="col_4">
                        <i class="ri-car-line"></i>
                    </div>
                </div>

                <!--Board Body-->
                <div class="wb_body">
                    <transition-group name="fade" mode="in-out">
                        <div v-for="(item, key) in items" :key="key">
                            <div class="wb_row" :class="item.status_class">
                                <div class="col_1">
                                    <div class="car_number" :class="item.number_type" v-html="item.number_html"></div>
                                </div>
                                <div class="col_2">
                                    <div class="time_start">{{ countDownTimer(item.start_time) }}</div>
                                </div>
                                <div class="col_3">

                                    <div class="key" v-if="item.status !== 1">
                                        <div class="icon">
                                            <svg width="23" height="23" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <path fill-rule="evenodd" clip-rule="evenodd"
                                                      d="M23.38 16.7699L23.98 16.1699C25.9374 14.2229 25.9464 11.0579 24 9.09991L18.71 3.83991C16.7575 1.888 13.5925 1.888 11.64 3.83991L3.08997 12.3899C1.13806 14.3424 1.13806 17.5074 3.08997 19.4599L8.34997 24.7199C10.3025 26.6718 13.4675 26.6718 15.42 24.7199L15.87 24.2699L17.97 26.4699H21.41V29.4699H25.1V31.0999L28 33.9999H34V27.4499L23.38 16.7699ZM14.82 10.1799L9.36997 15.6399C8.97993 16.0276 8.35001 16.0276 7.95997 15.6399L7.55997 15.2399C7.17225 14.8499 7.17225 14.2199 7.55997 13.8299L13 8.35991C13.39 7.97219 14.0199 7.97219 14.41 8.35991L14.81 8.75991C15.0006 8.94634 15.1089 9.20119 15.1108 9.46783C15.1127 9.73447 15.008 9.99081 14.82 10.1799ZM28.86 31.9999H32V28.2799L22 18.1799L17.28 22.8299L18.8 24.4399H23.41V27.4399H27.09V30.2399L28.86 31.9999Z"
                                                      fill="#737373"/>
                                            </svg>
                                        </div>
                                        <div class="key_num">{{ item.where_key }}</div>
                                    </div>
                                    <div class="location">{{ item.status_text }}</div>

                                </div>
                                <div class="col_4">
                                    <div class="destination" v-html="item.destination"></div>
                                </div>
                            </div>
                        </div>
                    </transition-group>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'wash-board',
        data() {
            return {
                items: [],
                interval: null,
                times: null,
                diffTime: ''
            }
        },
        created () {
            this.interval = setInterval(this.refreshData, 5000)
            this.timers = setInterval(this.countDownTimer, 5000)
        },
        beforeDestroy () {
            clearInterval(this.interval)
            clearInterval(this.timers)
        },
        mounted() {
            console.log('Component mounted.')
        },
        methods: {
            refreshData() {
                // fetch data
                axios.get("/api/read")
                    .then(response => {
                        this.items = response.data
                        //console.log(this.items)
                    })
            },
            countDownTimer(startTime) {
                this.countDownDate = new Date(startTime).getTime()
                this.nowTime = new Date().getTime()
                if(this.countDownDate > this.nowTime) {
                    let h = Math.trunc((this.countDownDate - this.nowTime) / 1000 / 3600)
                    let m = Math.trunc((this.countDownDate - this.nowTime) / 1000 / 60) % 60 + 1
                    this.thrs = h > 9 ? h : '0' + h
                    this.tmns = m > 9 ? m : '0' + m

                } else {
                    this.thrs = '00'
                    this.tmns = '00'
                }
                return this.thrs + ':' + this.tmns
            }
        }
    }
</script>

<style scoped>

</style>